<xsl:stylesheet 
  version="1.0" 
  exclude-result-prefixes="x d xsl msxsl cmswrt"
  xmlns:x="http://www.w3.org/2001/XMLSchema" 
  xmlns:d="http://schemas.microsoft.com/sharepoint/dsp" 
  xmlns:cmswrt="http://schemas.microsoft.com/WebParts/v3/Publishing/runtime"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:msxsl="urn:schemas-microsoft-com:xslt">
  <xsl:param name="ItemsHaveStreams">
    <xsl:value-of select="'False'" />
  </xsl:param>
  <xsl:variable name="OnClickTargetAttribute" select="string('javascript:this.target=&quot;_blank&quot;')" />
  <xsl:variable name="ImageWidth" />
  <xsl:variable name="ImageHeight" />

<!-- slideshow -->
<xsl:template name="Slideshow" match="*" mode="itemstyle">
	<xsl:variable name="SlideLinkUrl" select="@SlideLinkUrl" />
	<div class="slide-item">
		<div class="slide-item-image">
			<xsl:choose>
				<xsl:when test="string-length($SlideLinkUrl) &gt; 0">
					<a href="{$SlideLinkUrl}">
						<img src="{@FileRef}" alt="{@Title}" />
					</a>
				</xsl:when>
				<xsl:otherwise>
					<img src="{@FileRef}" alt="{@Title}" />
				</xsl:otherwise>
			</xsl:choose>
		</div>
		<div class="slide-item-content">
			<h3 class="slide-item-content-title"><xsl:value-of select="@Title" /></h3>
			<div class="slide-item-content-main">
				<xsl:value-of select="@SlideContent" disable-output-escaping="yes" />
			</div>
		</div>
	</div>
</xsl:template>
<!-- /slideshow -->

  <xsl:template name="HiddenSlots" match="Row[@Style='HiddenSlots']" mode="itemstyle">
    <div class="SipAddress">
      <xsl:value-of select="@SipAddress" />
    </div>
    <div class="LinkToolTip">
      <xsl:value-of select="@LinkToolTip" />
    </div>
    <div class="OpenInNewWindow">
      <xsl:value-of select="@OpenInNewWindow" />
    </div>
    <div class="OnClickForWebRendering">
      <xsl:value-of select="@OnClickForWebRendering" />
    </div>
  </xsl:template>
</xsl:stylesheet>